﻿using Microsoft.EntityFrameworkCore;
using SushiBarDatabaseImplement.Models;

namespace SushiBarDatabaseImplement
{
    public class SushiBarDatabase : DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (optionsBuilder.IsConfigured == false)
            {

                optionsBuilder.UseSqlServer(@"Data Source=localhost\SQLEXPRESS;
                    Initial Catalog=SushiBarDatabaseLC3;
                    Integrated Security=True;
                    MultipleActiveResultSets=True;;
                    TrustServerCertificate=True"
                );

            }
            base.OnConfiguring(optionsBuilder);
        }
        public virtual DbSet<Component> Components { set; get; }
        public virtual DbSet<Sushi> Sushis { set; get; }
        public virtual DbSet<SushiComponent> SushiComponents { set; get; }
        public virtual DbSet<Order> Orders { set; get; }
        public virtual DbSet<Shop> Shops { set; get; }
        public virtual DbSet<ShopSushi> ShopSushis { set; get; }
    }
}
